import { jsx } from "react/jsx-runtime";
import { TokenWRX as TokenWRX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWRX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "WRX", "data-name": "TokenWRX", ...props, children: /* @__PURE__ */ jsx(TokenWRX$1, { variant }) });
  }
);
TokenWRX.displayName = "TokenWRX";
Object.assign(TokenWRX, { isGdsIcon: true });
export {
  TokenWRX
};
